This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457514 - php-syck is heavily outdated / superseded by php-pecl-syck
php-syck is heavily outdated / superseded by php-pecl-syck
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: syck (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Oliver Falk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 05:38 EDT by Alexander Kahl
Modified: 2008-09-05 06:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 06:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2008-08-01 05:38:05 EDT
The PHP binding shipped with syck is heavily outdated and regularly produces
segfaults upon parsing errors; it should be replaced by php-pecl-syck[1] that
seems to have been created to handle this[2].

Please consider whether bundling with the syck package or creating a new one is
more reasonable.


[1] http://pecl.php.net/package/syck
[2] http://blog.milkfarmsoft.com/?p=36
Comment 1 Oliver Falk 2008-08-08 03:54:04 EDT
Creating a new package for this sounds reasonable. But I don't have the time to do so. Are you willing to do it?
Comment 2 Alexander Kahl 2008-08-12 12:46:15 EDT
I'm not sure if I have enough time either. But since I'm in contact with the author and know it's actively maintained I think I'll just do it ASAP. Would you review the resulting package so we get this through on the fast track?
Comment 3 Oliver Falk 2008-09-05 05:24:03 EDT
any news on that?
Comment 4 Alexander Kahl 2008-09-05 05:49:41 EDT
Nope. I'm pretty much blocked, not even had the time to update my other packages and continue my libyaml binding..
Comment 5 Oliver Falk 2008-09-05 06:05:35 EDT
I've added the package to the package wish list:
https://fedoraproject.org/wiki/PackageMaintainers/WishList#General_Fedora_Packages_WishList

Note You need to log in before you can comment on or make changes to this bug.